Please see issue path for needed changes.

Develop on a branch, not master. Make merge request with reference to ticket that 
request addresses. Also, make sure to grab ticket. If ticket is not closed within 
one week of being taken it is fair game to be taken by another.

Play fair and have fun.